Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.webflow
Class FlowLifecycle

    java.lang.Object
      javax.faces.lifecycle.Lifecycle
          org.springframework.faces.webflow.FlowLifecycle

    public class FlowLifecycle

extends javax.faces.lifecycle.Lifecycle

Custom `Lifecycle` for Spring Web Flow that only executes the APPLY_REQUEST_VALUES through INVOKE_APPLICATION phases.

This Lifecycle does not execute the RESTORE_VIEW phase since view creation and restoration are now handled by the `JsfViewFactory`.

Author:
  Jeremy Grelle

Method Summary
`void` | `addPhaseListener(javax.faces.event.PhaseListener listener)` Delegates to the wrapped `Lifecycle`.
`void` | `execute(javax.faces.context.FacesContext context)` Executes APPLY_REQUEST_VALUES through INVOKE_APPLICATION.
`javax.faces.event.PhaseListener[]` | `getPhaseListeners()` Delegates to the wrapped `Lifecycle`.
`static javax.faces.lifecycle.Lifecycle` | `newInstance()`
`void` | `removePhaseListener(javax.faces.event.PhaseListener listener)` Delegates to the wrapped `Lifecycle`.
`void` | `render(javax.faces.context.FacesContext context)` Delegates to the wrapped `Lifecycle`.

Methods inherited from class javax.faces.lifecycle.Lifecycle
`attachWindow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newInstance

    public static javax.faces.lifecycle.Lifecycle newInstance()

### execute

    public void execute(javax.faces.context.FacesContext context)
                 throws javax.faces.FacesException

  Executes APPLY_REQUEST_VALUES through INVOKE_APPLICATION.

  Specified by:
    `execute` in class `javax.faces.lifecycle.Lifecycle`
  Throws:
    `javax.faces.FacesException`

### render

    public void render(javax.faces.context.FacesContext context)
                throws javax.faces.FacesException

  Delegates to the wrapped `Lifecycle`.

  Specified by:
    `render` in class `javax.faces.lifecycle.Lifecycle`
  Throws:
    `javax.faces.FacesException`

### addPhaseListener

    public void addPhaseListener(javax.faces.event.PhaseListener listener)

  Delegates to the wrapped `Lifecycle`.

  Specified by:
    `addPhaseListener` in class `javax.faces.lifecycle.Lifecycle`

### getPhaseListeners

    public javax.faces.event.PhaseListener[] getPhaseListeners()

  Delegates to the wrapped `Lifecycle`.

  Specified by:
    `getPhaseListeners` in class `javax.faces.lifecycle.Lifecycle`

### removePhaseListener

    public void removePhaseListener(javax.faces.event.PhaseListener listener)

  Delegates to the wrapped `Lifecycle`.

  Specified by:
    `removePhaseListener` in class `javax.faces.lifecycle.Lifecycle`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD